
package de.ivu.elect.business.system.entity;

import java.io.File;

import de.ivu.elect.business.system.control.ElectDemoSystem;
import de.ivu.elect.jee.faces.DevelopmentStore;

public class VerzeichnisResult {

  private final String verzeichnisName;

  private final VerzeichnisStatus verzeichnisStatus;

  public VerzeichnisResult(String verzeichnisName, VerzeichnisStatus verzeichnisStatus) {
    super();

    this.verzeichnisName = verzeichnisName;
    this.verzeichnisStatus = verzeichnisStatus;
  }

  public File getVerzeichnisFile() {
    return new File(verzeichnisName);
  }

  public String getVerzeichnisName() {
    return verzeichnisName;
  }

  public VerzeichnisStatus getVerzeichnisStatus() {
    return verzeichnisStatus;
  }

  public String getVerzeichnisNameFuerDefaultKonfiguration() {
    if (getVerzeichnisStatus().isNeuAngelegtOderLeer() || DevelopmentStore.isDevelopmentStage() /*Für Entwickler egal, ob bestehendes Verzeichnis genommen wird, oder nicht*/
        || ElectDemoSystem.isDemoSystem() // Auf dem Demo-System auch erstmal egal ELECT-10699
    ) {
      return getVerzeichnisName();
    }

    return "";
  }

  @Override
  public String toString() {
    return "VerzeichnisResult{" +
        "verzeichnisName='" + verzeichnisName + '\'' +
        ", verzeichnisStatus=" + verzeichnisStatus +
        '}';
  }
}
